Subject: bug#22906: 24.5; eww SGML validate error

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 24 Jan 2017 23:28:07 +0100

Simen Heggestøyl <[email-masked]> writes:

> I can reproduce this on the current master branch (ec12c670).
>
> The issue seems to be that `sgml-validate' assumes that the buffer is
> visiting a file, which is not the case when you view a web page's source
> from eww.
>
> Maybe we could offer to save the buffer when it's not visiting a file?

I think that would be unusual for commands like this (that have to be
written out to work).  Instead it could save the buffer to a temporary
file, validate and then delete it again.

I'm not sure it's worth it, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no